package com.aleena.parking.Controller;

import com.aleena.parking.Model.VehicleTracker;
import com.aleena.parking.Service.VehicleTrackerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Optional;

@CrossOrigin(origins = "http://localhost:4200")
@RestController
public class VehicleTrackerController {


    @Autowired
    private VehicleTrackerService vehicleTrackerService;
    @Autowired
    com.aleena.parking.Repository.vehicleTrackerRepository vehicleTrackerRepository;

    @RequestMapping(value="/readText", method = RequestMethod.POST)
    public ResponseEntity<?> readText(){

        HttpHeaders httpHeaders = new HttpHeaders();
        VehicleTracker vehicleTracker=new VehicleTracker();
        vehicleTrackerService.readText(vehicleTracker);
        return new ResponseEntity<>("", httpHeaders , HttpStatus.ACCEPTED);
    }

    @RequestMapping(value="/allVehicles", method = RequestMethod.GET)
    public List<VehicleTracker> showVehicles() {
        return  vehicleTrackerRepository.findAll();

    }

    //history
    @RequestMapping(value = "vehicleTrcker/{email}", method = RequestMethod.GET)
    public Optional<VehicleTracker> get(@PathVariable String email){
        return vehicleTrackerRepository.findById(1L);
    }



}
