package com.aleena.parking.Controller;

import com.aleena.parking.Model.User;
import com.aleena.parking.Repository.UserRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

import java.util.Optional;

@RestController
@CrossOrigin
public class UserController {

    @Autowired
    private UserRepository repository;

    @GetMapping("/user/{id}")
    public Optional<User> getUser(@PathVariable long id) {
        return repository.findById(id);
    }
}
