package com.aleena.parking.Controller;

import com.aleena.parking.Model.Vehicle;
import com.aleena.parking.Repository.VehicleRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@RestController
public class VehicleController {

    @Autowired
    VehicleRepository vehicleRepository;

    @RequestMapping(value="/addNewVehicle", method = RequestMethod.POST)
    public void addVehicles(@RequestBody Vehicle myvehicle) {
        vehicleRepository.save(myvehicle);
    }

    @RequestMapping(value="/getAllVehicle",method=RequestMethod.GET)
    public List<Vehicle> getVehicle()
    {
        return vehicleRepository.findAll();
    }



}
