package com.aleena.parking.Service;

import com.aleena.parking.Model.VehicleTracker;
import com.asprise.ocr.Ocr;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.File;
import java.util.Date;

@Service
public class VehicleTrackerService {
    @Autowired
    com.aleena.parking.Repository.vehicleTrackerRepository vehicleTrackerRepository;


    public void readText(VehicleTracker vehicleTracker) {

        Ocr.setUp(); // one time setup
        Ocr ocr = new Ocr(); // create a new OCR engine
        ocr.startEngine("eng", Ocr.SPEED_FASTEST); // English
        String vehicleNumber = ocr.recognize(new File[] {new File("Test.png")}, Ocr.RECOGNIZE_TYPE_ALL, Ocr.OUTPUT_FORMAT_PLAINTEXT);
        System.out.println("\n"+"The Output is :"+"\n"+vehicleNumber);
        System.out.println(vehicleNumber);
        String date =new Date().toString();
        System.out.println(date);
        vehicleTracker.setVehicleNumber(vehicleNumber);
        vehicleTracker.setEntryTimeStamp(date);
        ocr.stopEngine();
        this.vehicleTrackerRepository.save(vehicleTracker);

    }


}
